## ros-noetic-dataspeed-ulc-msgs 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(dataspeed_ulc_msgs)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  std_msgs
)

add_message_files(
  DIRECTORY
    msg
  FILES
    UlcCmd.msg
    UlcReport.msg
)

generate_messages(
DEPENDENCIES
  std_msgs
)

catkin_package()

=== debian/changelog ===
ros-noetic-dataspeed-ulc-msgs (0.1.0-1focal) focal; urgency=high

  * Reconfigure CAN and ROS messages for new ULC capability
  * Increase CMake minimum version to 3.0.2 to avoid warning about CMP0048
    http://wiki.ros.org/noetic/Migration#Increase_required_CMake_version_to_avoid_author_warning
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 30 Nov 2022 05:00:00 -0000

ros-noetic-dataspeed-ulc-msgs (0.0.5-1focal) focal; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 06 Nov 2019 05:00:00 -0000

ros-noetic-dataspeed-ulc-msgs (0.0.4-1focal) focal; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 15 May 2019 04:00:00 -0000

ros-noetic-dataspeed-ulc-msgs (0.0.3-1focal) focal; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Sun, 09 Dec 2018 05:00:00 -0000

ros-noetic-dataspeed-ulc-msgs (0.0.2-1focal) focal; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 05 Dec 2018 05:00:00 -0000

ros-noetic-dataspeed-ulc-msgs (0.0.1-1focal) focal; urgency=high

  * Initial release
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Fri, 30 Nov 2018 05:00:00 -0000

=== debian/control ===
Source: ros-noetic-dataspeed-ulc-msgs
Section: misc
Priority: optional
Maintainer: Micho Radovnikovich <mradovnikovich@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-dataspeed-ulc-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-runtime, ros-noetic-std-msgs
Description: ROS messages for interacting with the Universal Lat/Lon Controller (ULC)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-dataspeed-ulc-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
